﻿## Active Perl 5.8.8

use utf8;
use warnings;
use strict;
use Encode;

binmode STDOUT, ':encoding(cp932)'; $|=1;
sub   FS {Encode::encode('cp932',shift)}
sub UTF8 {Encode::decode('cp932',shift)}

my $DEBUG = 0;
my @CC;	#@IF DEBUG@#

&start('./');

if (@CC) {
	my $LogFile = UTF8(__FILE__);	#@IF DEBUG@#
	   $LogFile =~ s!\.[^.\/\\]*$!.log!;	#@IF DEBUG@#
	open LOG, '>:utf8', FS($LogFile) or die "'$LogFile' $!";	#@IF DEBUG@#
	my $i = 0; ++$i until $CC[$i];
	for (; $i <= $#CC; ++$i) {	#@IF DEBUG@#
		if ($CC[$i]) {print LOG __FILE__,"($i)\t",$CC[$i],"\n"}	#@IF DEBUG@#
		else         {print LOG __FILE__,"($i)\t",0,"\n"}	#@IF DEBUG@#
	}	#@IF DEBUG@#
	close LOG;	#@IF DEBUG@#
}

exit 0;

sub start {
	my ($subDir) = @_;

	opendir DIR,$subDir  or die $!;
	my @files = readdir DIR;
	closedir DIR;

	foreach my $fileName (@files) {
		next if $fileName =~ m/^\./;
		next if $fileName =~ m/ /;
		next unless $fileName =~ m!\.html?$!;

		my $filePath = $subDir.$fileName;
		open FILE, '<:utf8', $filePath  or die "'$filePath' $!";
		read FILE, my $htm, -s FILE;
		my $mtime = (stat FILE)[9];
		close FILE;

		my $original = $htm;
		$_           = $htm;
#
# Try - 試着 ファイター＆メイジ
s!>Try on Fighters? Equipment\.?<!>ファイター用の装備を試着する<!si;
s!>Try on Warriors? equipment\.?<!>ファイター用の装備を試着する<!si;
s!>Try on Wizards? Equipment\.?<!>メイジ用の装備を試着する<!si;
s!>Try on armor for Wizards\.?<!>メイジ用の装備を試着する<!si;
s!>Try on a Warrior weapon\.?<!>ファイター用の装備を試着する<!si;

# Buy/Sell/Refund
s!>Buy/Sell/Refund Common Items?\.?<!>量産アイテムを買う/売る/買い戻す<!si;
s!>Buy/Sell/Refund Generals?\.?<!>アイテムを買う/売る/買い戻す<!si;
s!>Buy/Sell/Refund Dyes?\.?<!>染料を買う/売る/買い戻す<!si;
s!>Buy/Sell/Refunds?\.?<!>買う/売る/買い戻す<!si;

# Buy - 買う ファイター＆メイジ
s!>Buy equipment for Fighters?\.?<!>ファイター用の装備を買う<!si;
s!>Buy equipment for Wizards?\.?<!>メイジ用の装備を買う<!si;
s!>Buy Fighters? Equipments?\.?<!>ファイター用の装備を買う<!si;
s!>Buy Wizards? Equipments?\.?<!>メイジ用の装備を買う<!si;
s!>Buy weapons for Wizards?\.?<!>メイジ用の装備を買う<!si;
# Buy basic...
s!>Buy basic equipment for Warriors?\.?<!>ファイター用の量産兵器を買う<!si;
s!>Buy basic-type accessory\.?<!>量産アクセサリーを買う<!si;
# Buy Common...
s!>Buy Fighters? Common Items?\.?<!>ファイター用の量産兵器を買う<!si;
s!>Buy Wizards? Common Items?\.?<!>メイジ用の量産兵器を買う<!si;
s!>Buy Common Items?\.?<!>量産アイテムを買う<!si;

# Buy - そのた雑貨
s!>Buy supplies? and minerals?\.?<!>消耗品や鉱物を買う<!si;
s!>Buy a bracelet or talisman\.?<!>ブレスレットやタリスマンを交換する<!si;
s!>Buy bracelet or talisman\.?<!>ブレスレットやタリスマンを交換する<!si;
s!>Buy items and minerals\.?<!>消耗品や鉱物を買う<!si;
s!>Buy supplies\.?<!>消耗品を買う<!si;
s!>Buy a ticket\.?<!>定期船の乗船券を買う<!si;
s!>Buy dyes\.?<!>染料を買う<!si;

# Trade - 買う
s!>Trade consumables and minerals\.?<!>消耗品や鉱物を買う<!si;
s!>Trade supplies and minerals\.?<!>消耗品や鉱物を買う<!si;
s!>Trade Fighter equipment\.?<!>ファイター用の装備を買う<!si;
s!>Trade Warrior equipment\.?<!>ファイター用の装備を買う<!si;
s!>Trade Wizard equipment\.?<!>メイジ用の装備を買う<!si;
s!>Trade General Items\.?<!>アイテムを買う<!si;
s!>Trade accessories\.?<!>アクセサリーを買う<!si;
s!>Trade supplies\.?<!>消耗品を買う<!si;
s!>Trade weapons\.?<!>武器を買う<!si;
s!>Trade\.?<!>買う<!si;
# Trade basic...
s!>Trade basic equipment for Fighters\.?<!>ファイター用の量産兵器を買う<!si;
s!>Trade basic equipment for Warriors\.?<!>ファイター用の量産兵器を買う<!si;
s!>Trade basic equipment for Wizards\.?<!>メイジ用の量産兵器を買う<!si;
s!>Trade a basic-type accessory\.?<!>量産アクセサリーを買う<!si;
s!>Trade a basic type accessory\.?<!>量産アクセサリーを買う<!si;
s!>Trade basic equipment\.?<!>量産兵器を買う<!si;

s!>Purchase either bracelet or talisman\.?<!>ブレスレットやタリスマンを交換する<!si;

# ****-1.htm
s!What would you like to purchase\?<br>!何をお求めですか？<br>!;
#
s!>Buy\.?<!>買う<!si;
s!(?<=<a action="bypass -h npc_%objectId%_exc_multisell 003">).+?(?=</a>)!装備を交換する!;
s!(?<=<a action="bypass -h npc_%objectId%_BuyShadowItem">).+?(?=</a>)!幻影兵器を買う!;
s!(?<=<a action="bypass -h npc_%objectId%_TerritoryStatus">).+?(?=</a>)!領主、税率情報を見る!;
s!>Quest\.?<!>クエスト<!;
#
		$htm = $_;

		if ($htm ne $original) {
			print $filePath,"\n";
			my $output = $filePath;
			   $output = $filePath.'.text' if $DEBUG;
			open FILE, '>:utf8', $output  or die "'$output' $!";
			$htm = "\x{feff}".$htm unless $htm =~ m/^\x{feff}/;  #BOM
			print FILE $htm;
			close FILE;
			utime $mtime,$mtime,$output;
		}
	}
}
